When will the plugin work on PHP 8.0?

Hello,

This plugin is the only thing holding me back to upgrade my clients to php 8.0.
I’m getting a critical error when plugin is active on php 8.0. When i switch back to php 7.4 all is fine.

[Fri Aug 05 16:00:15.376319 2022] [lsapi:error] [pid 7052:tid 140218915567360] [client 77.170.89.195:65213] [host clientsite.nl] Backend fatal error: PHP Fatal error:  Uncaught ValueError: Unknown format specifier "w" in /home/clientsite/domains/clientsite.nl/public_html/wp-content/plugins/post-smtp/freemius/templates/connect.php:221\nStack trace:\n#0 /home/clientsite/domains/clientsite.nl/public_html/wp-content/plugins/post-smtp/freemius/templates/connect.php(221): sprintf()\n#1 /home/clientsite/domains/clientsite.nl/public_html/wp-content/plugins/post-smtp/freemius/includes/fs-core-functions.php(57): require('/home/clientsite/do...')\n#2 /home/clientsite/domains/clientsite.nl/public_html/wp-content/plugins/post-smtp/freemius/includes/class-freemius.php(22509): fs_get_template()\n#3 /home/clientsite/domains/clientsite.nl/public_html/wp-includes/class-wp-hook.php(307): Freemius->_connect_page_render()\n#4 /home/clientsite/domains/clientsite.nl/public_html/wp-includes/class-wp-hook.php(331): WP_Hook->apply_filters()\n#5 /home/clientsite/domains/clientsite.nl/public_html/wp-includes/plugin.php(476): WP_Hook->do_action()\n#6 /home/clientsite/domains/clientsite.nl/public_html/wp-admin/admin.php(259): do_action()\n#7 {main}\n  thrown in /home/clientsite/domains/clientsite.nl/public_html/wp-content/plugins/post-smtp/freemius/templates/connect.php on line 221\n, referer: https://clientsite.nl/wp-admin/?w3tc_note=flush_all

 

This site will teach you how to build a WordPress website for beginners. We will cover everything from installing WordPress to adding pages, posts, and images to your site. You will learn how to customize your site with themes and plugins, as well as how to market your site online.

Your Advertisement Here